> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink workflows from template

> Unlink one or more workflows from a template



## OpenAPI

````yaml post /v4/templates/{templateId}/unlink
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v4/templates/{templateId}/unlink:
    post:
      tags:
        - Templates
      summary: Unlink workflows from template
      description: >-
        Remove the template association from workflows (does not change workflow
        config)
      parameters:
        - name: templateId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Template ID
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnlinkWorkflowsBody'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnlinkWorkflowsResponse'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: Indicates an error occurred
                  message:
                    type: string
                    description: Error message
                  details:
                    nullable: true
                    description: Additional error details (e.g., validation errors)
                required:
                  - error
                  - message
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: Indicates an error occurred
                  message:
                    type: string
                    description: Error message
                  details:
                    nullable: true
                    description: Additional error details (e.g., validation errors)
                required:
                  - error
                  - message
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: Indicates an error occurred
                  message:
                    type: string
                    description: Error message
                  details:
                    nullable: true
                    description: Additional error details (e.g., validation errors)
                required:
                  - error
                  - message
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: Indicates an error occurred
                  message:
                    type: string
                    description: Error message
                  details:
                    nullable: true
                    description: Additional error details (e.g., validation errors)
                required:
                  - error
                  - message
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UnlinkWorkflowsBody:
      type: object
      properties:
        workflowIds:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
          maxItems: 2000
          description: Workflow IDs to unlink from this template
      required:
        - workflowIds
      title: UnlinkWorkflowsBody
      description: Request body for unlinking workflows from a template
    UnlinkWorkflowsResponse:
      type: object
      properties:
        error:
          type: boolean
          enum:
            - false
          description: Error flag (always false on success)
        success:
          type: boolean
          enum:
            - true
          description: Success flag
        unlinkedCount:
          type: number
          description: Number of workflows unlinked
        workflowIds:
          type: array
          items:
            type: string
            format: uuid
          description: IDs of unlinked workflows
      required:
        - error
        - success
        - unlinkedCount
        - workflowIds
      title: UnlinkWorkflowsResponse
      description: Response for unlinking workflows from a template
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````